Packages - Packaging Request #2160

[sdcc] Contains non-free PIC headers and libraries
2019-02-02 11:23 AM - Rigo-V

Status: in progress % Done: 80%
Priority: freedom issue

Assignee: freemor

Category:

Description

This package contains an entire folder full of non-free stuff in '/usr/share/sdcc/non-free/'.
The copyright notice in each of these files has this written in them:

For pic device libraries and header files which are derived from
Microchip header (.inc) and linker script (.lkr) files Microchip
requires that "The header files should state that they are only to be
used with authentic Microchip devices" which makes them incompatible
with the GPL. Pic device libraries and header files are located at
non-free/lib and non-free/include directories respectively.

Debian hasn't included theses files in its sdcc package since 2012: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597933

History

#1 - 2019-02-03 01:33 AM - freemor

- Status changed from open to in progress

Have confirmed the issue.

Looks trivial to fix as there are ./configure options to disable pic14 and pic16 which are responsible for the non-free stuff..
I'll see if | can quickly hack up a libre version.

#2 - 2019-02-03 02:19 AM - freemor

Built clean and fixed the issue.
pushed PKGBUILD to [libre-testing] for evaulation for inclusion in [Libre]

libremaking packages to stage/release to [libre-testing] help with evaulation.

#3 - 2019-02-03 03:14 AM - freemor

x86_64 - Built
i686 - Built
ARM - Building

Looks like there is a dangling /usr/share/sdcc/non-free/ directory with empty PIC14 and PIC16 directories. Not a problem functionally but | should
probably tidy that up.

#4 - 2019-02-03 03:14 AM - freemor
- % Done changed from 0 to 60

#5 - 2019-02-11 02:21 PM - freemor
- % Done changed from 60 to 80

All built and pushed to [libre-testing]. Just need some feedback by people that actually use this before moving it to [Libre]

#6 - 2019-02-11 02:21 PM - freemor

- Assignee set to freemor

#7 - 2019-03-11 12:30 AM - freemor
Duplicated in #2243
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597933
https://labs.parabola.nu/issues/2243

GNUtoo If you do run the patched version though it's paces and it's all good please feel free to move it to [Libre]

#8 - 2019-03-11 12:30 AM - freemor

- Priority changed from bug to freedom issue

#9 - 2022-03-30 11:56 PM - GNUtoo

- Tracker changed from Freedom Issue to Packaging Request

I've added SDCC to the blacklist, so it's now a packaging request.

Denis.
